# ddoc9

- `Template`

  #### Declaration

  `template `Template`(T)`

  `Template` Documentation (OK)

- `Function`

  #### Declaration

  `void `Function`(T)(T `x`);`

  `Function` Documentation (Not included at all by DDoc)

- `Class`

  #### Declaration

  `class `Class`(T);`

  `Class` Documentation (OK)

- `Struct`

  #### Declaration

  `struct `Struct`(T);`

  `Struct` Documentation

- `Union`

  #### Declaration

  `union `Union`(T);`

  `Union` Documentation

- `TemplateWithAnonEnum`

  #### Declaration

  `template `TemplateWithAnonEnum`(T)`

  Template documentation with anonymous enum